Bug 338651 - Multiformat messages not displayed in HTML
Summary: Multiformat messages not displayed in HTML
Status: REPORTED
Alias: None
Product: kdepim
Classification: Applications
Component: messageviewer (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-29 11:28 UTC by Antonio Rojas
Modified: 2017-01-16 17:40 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Antonio Rojas 2014-08-29 11:28:10 UTC
Since the 4.14 update, multiformat messages are always displayed in plain text, even though the option "prefer HTML to plain text" is enabled in the settings.
Comment 1 Heiko Steindl 2014-09-01 07:12:45 UTC
Same on my system, but this fixed the problem for me:

Disable "Prefer HTML to plain text"
Close Kontact or KMail and wait a few seconds
Start Kontact or KMail again and reenbale "Prefer HTML to plain text"

Disable/Reenable without closing Kontact/KMail didn't work for me.

Kind regards

Heiko
Comment 2 Laurent Montel 2014-09-02 08:09:09 UTC
Could you provide me an test email ?
Comment 3 Heiko Steindl 2014-09-02 12:46:47 UTC
In my case it was every mail with plain text and HTML Content (always the plain text version was displayed). 
Since I made the changes as I wrote, it works as it should (HTML Content is displayed)
Comment 4 Antonio Rojas 2014-09-02 13:14:57 UTC
I confirm that the steps in Comment 1 fix this for me too. Every multipart message was affected (for instance notification emails from bugs.kde.org)
Comment 5 Pedro Rosado 2014-09-04 03:37:27 UTC
Since I updated my openSUSE 13.1 system to KDE Applications 4.14 all messages are displayed in plain test even though I have the prefer HTML box checked. To view the HTML message I have to do it manually.
Comment 6 Pedro Rosado 2014-09-04 04:00:37 UTC
I just did what was mentioned in Comment 1 and it fixed the problem.